Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface ThingsMarkup

    public interface ThingsMarkup

Markup for Strings. String printers and processors may support this markup.
P = New Paragraph It will be two CR/LF pairs.
BR = New Line. It will be a CR/LF pair.
TAB = Make tab spacing. Every character counts as tab spacing, unless it is part of markup.
$var = Variable replacement for named 'var'. If not present, it should be left blank.

XML escaping can be used. If it is not well formed, it will emit the whole string as a literal. If it is well formed, but the name isn't recognized, it will not be emitted at all.
&lt
&gt
&amp
&apos
&quot

You can pass information to the formatter with the meta tag. It should look like this:
<meta.name=variable>
The following names are supported:
tab = the tab length. The default is 8.

The tags will be ignored if not well formed or supported.
<P> = Valid and would cause a new paragraph.
<P< = This would break on the second < and would emit the string as a literal.
<FAKE_TAG< = This is not a tag, so it will be emitted as a literal.

Version:
  1.0

  Version History

      EPG - Initial - 26 MAR 05

Author:
  Erich P. Gatejen

Field Summary
`static char` | `CLOSE_TAG`
`static char` | `COMPELTE_ESCAPE`
`static int` | `DEFAULT_TAB_LENGTH` DEFAULTS
`static char` | `EMIT_ESCAPE_AMP`
`static char` | `EMIT_ESCAPE_APOS`
`static char` | `EMIT_ESCAPE_GT`
`static char` | `EMIT_ESCAPE_LT`
`static char` | `EMIT_ESCAPE_QUOT`
`static java.lang.String` | `EMIT_NEW_LINE`
`static java.lang.String` | `EMIT_NEW_PARAGRAPH`
`static char` | `EMIT_SPACE` EMITTABLE
`static char` | `ESCAPE`
`static java.lang.String` | `ESCAPE_AMP`
`static java.lang.String` | `ESCAPE_APOS`
`static java.lang.String` | `ESCAPE_GT`
`static java.lang.String` | `ESCAPE_LT` Escaped
`static java.lang.String` | `ESCAPE_QUOT`
`static java.lang.String` | `META`
`static char` | `META_NAME_SPLIT`
`static java.lang.String` | `META_TAB`
`static char` | `META_VALUE_SPLIT`
`static java.lang.String` | `NEW_LINE` Markup Strings
`static java.lang.String` | `NEW_PARAGRAPH`
`static char` | `OPEN_TAG` Markup Characters
`static java.lang.String` | `TAB`
`static char` | `VARIABLE`

Field Detail

### NEW_LINE

    static final java.lang.String NEW_LINE

  Markup Strings

  See Also:
    Constant Field Values

### NEW_PARAGRAPH

    static final java.lang.String NEW_PARAGRAPH

See Also:
  Constant Field Values

### VARIABLE

    static final char VARIABLE

See Also:
  Constant Field Values

### TAB

    static final java.lang.String TAB

See Also:
  Constant Field Values

### META

    static final java.lang.String META

See Also:
  Constant Field Values

### META_TAB

    static final java.lang.String META_TAB

See Also:
  Constant Field Values

### OPEN_TAG

    static final char OPEN_TAG

  Markup Characters

  See Also:
    Constant Field Values

### CLOSE_TAG

    static final char CLOSE_TAG

See Also:
  Constant Field Values

### ESCAPE

    static final char ESCAPE

See Also:
  Constant Field Values

### COMPELTE_ESCAPE

    static final char COMPELTE_ESCAPE

See Also:
  Constant Field Values

### META_NAME_SPLIT

    static final char META_NAME_SPLIT

See Also:
  Constant Field Values

### META_VALUE_SPLIT

    static final char META_VALUE_SPLIT

See Also:
  Constant Field Values

### ESCAPE_LT

    static final java.lang.String ESCAPE_LT

  Escaped

  See Also:
    Constant Field Values

### ESCAPE_GT

    static final java.lang.String ESCAPE_GT

See Also:
  Constant Field Values

### ESCAPE_AMP

    static final java.lang.String ESCAPE_AMP

See Also:
  Constant Field Values

### ESCAPE_APOS

    static final java.lang.String ESCAPE_APOS

See Also:
  Constant Field Values

### ESCAPE_QUOT

    static final java.lang.String ESCAPE_QUOT

See Also:
  Constant Field Values

### DEFAULT_TAB_LENGTH

    static final int DEFAULT_TAB_LENGTH

  DEFAULTS

  See Also:
    Constant Field Values

### EMIT_SPACE

    static final char EMIT_SPACE

  EMITTABLE

  See Also:
    Constant Field Values

### EMIT_NEW_LINE

    static final java.lang.String EMIT_NEW_LINE

See Also:
  Constant Field Values

### EMIT_NEW_PARAGRAPH

    static final java.lang.String EMIT_NEW_PARAGRAPH

See Also:
  Constant Field Values

### EMIT_ESCAPE_LT

    static final char EMIT_ESCAPE_LT

See Also:
  Constant Field Values

### EMIT_ESCAPE_GT

    static final char EMIT_ESCAPE_GT

See Also:
  Constant Field Values

### EMIT_ESCAPE_AMP

    static final char EMIT_ESCAPE_AMP

See Also:
  Constant Field Values

### EMIT_ESCAPE_APOS

    static final char EMIT_ESCAPE_APOS

See Also:
  Constant Field Values

### EMIT_ESCAPE_QUOT

    static final char EMIT_ESCAPE_QUOT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.